
QGIS Application - Feature request #3594

Raster merge causing older project crash

2011-03-11 09:11 AM - John Tull

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: Project Loading/Saving

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 13654

Description

The merge of raster branch into trunk is causing pre-1.7 projects to crash QGIS. Replacing all instances of:

<provider></provider>

with:

<provider>gdal</provider>

in the qgs file fixes the problem.

History

#1 - 2011-03-11 11:06 AM - Jürgen Fischer

the attached patch seems to fix the issue.

#2 - 2011-03-12 10:42 AM - John Tull

The patch worked well for me. Thanks

+1 to apply

#3 - 2011-03-12 10:59 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

Replying to [comment:2 jctull]:

The patch worked well for me. Thanks

+1 to apply

ok, then - so that seems to work everywhere.  applied in commit:251dada4 (SVN r15454).

Files

raster.diff 8.49 KB 2011-03-12 Jürgen Fischer
